Search airports, airlines, flights (v1)
Find airports, airlines, flight numbers, aircraft and flights in the air by name or code, with the code each other endpoint takes. No match returns empty results.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
query*string
An airport, airline, city, flight number or registration, such as heathrow, emirates, BA117 or G-RAES.
Length
2 <= length <= 100curl -X GET "https://example.com/v1/flightradar24/search?query=heathrow" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "query": "heathrow", "count": 1, "results": [ { "type": "airport", "id": "LHR", "label": "London Heathrow Airport (LHR / EGLL)", "name": "British Airways", "iata": "LHR", "icao": "EGLL", "flight_number": null, "callsign": null, "registration": null, "aircraft_code": null, "origin_iata": null, "destination_iata": null, "latitude": 51.471626, "longitude": -0.467081, "logo_url": null } ] }, "details": { "reason": "string", "message": "string" }}